Construya, testee, and debuguee applicaciones para Android

Android SDK for Mac

Suscríbase a nuestro boletín

Manténgase al día con los últimos lanzamientos de software, noticias, descuentos de software, ofertas y más.

Suscribir
Descargar Android SDK 30.0.4

Android SDK for Mac

 -  100% Seguro  -  Gratis

Qué hay de nuevo en esta versión:

Android SDK 24.4.1
Dependencias:
- Android SDK Platform-tools revisión 23 o más tarde.

Notas:
- se ha Corregido un problema donde el emulador de la barra de título fue escondido fuera de la pantalla.
- Habilitado el emulador para cambiar el tamaño de la partición de datos del usuario mediante la inclusión de e2fsprogs binarios.
- Corregido una regresión en el sistema de 32 bits de Windows OS, donde el emulador no arranca Android 6.0 (API level 23) a través de Android 5.0 (nivel de API 21) sistema de imágenes.

Android SDK 24.3.4
Notas:
- se Añade soporte para Android 6.0 (API level 23) de la plataforma.

Emulador:
- Mejora de emulador de rendimiento multi-core de escritorios de Windows. (Problema 101040)
- Añadido soporte para GPU de emulación en Windows y Linux utilizando las plataformas de la gpu mesa opción de línea de comandos.
- Habilitado el soporte para ejecutar emuladores con GPU de emulación a través de servicios de escritorio remoto, incluyendo Chrome Remote Desktop, Windows Terminal Services, y NoMachine.
- Añadido soporte para los emuladores con 280 dpi y 360 dpi de resolución de pantalla.
- soporte Mejorado para GLES 2.0 extensiones.
- corregidos varios problemas con la GPU soporte de emulación.
- Añadido soporte para establecer el tamaño de almacenamiento en el uso de emuladores de Android 4.4 (a nivel de API 19) y superior. (Problema 75141)
- Solucionado el problema con el envío de mensajes SMS largos entre los emuladores. (Problema 3539)
- Solucionado el problema con el emulador de llegar incorrecto el tiempo de ubicación de los objetos. (Problema 27272)
- Agregado manejo de caracteres inusuales en las rutas y nombres de archivo cuando a partir de los emuladores. (Problema 35889)

Android SDK 24.0.1
Dependencias:
- Android SDK Platform-tools revisión de 19 o más tarde.
Notas:
- Solucionado el problema con la creación de proyectos y actividades de plantillas usando Eclipse ADT.

Android SDK 24.0.1
Dependencias:
- Android SDK Platform-tools revisión de 19 o más tarde.
Notas:
- Fijo Java problema de detección en sistemas Windows de 32 bits.

Android SDK 24.0
Dependencias:
- Android SDK Platform-tools revisión de 19 o más tarde.

Notas:
- Añadido soporte para Andriod Studio 1.0 y el emulador mejoras.

Android SDK 23.0.2
Dependencias:
- Android SDK Platform-tools revisión de 19 o más tarde.
- Si usted está en desarrollo en Eclipse con ADT, tenga en cuenta que esta versión de SDK de Herramientas está diseñado para el uso con ADT 23.0.2 y más tarde. Si usted no tiene ya, actualizar el ADT Plugin para 23.0.2.
- Si está desarrollando fuera de Eclipse, usted debe tener Apache Ant 1.8 o más tarde.

Notas:
- Agregado ProGuard .bate los archivos que faltan.
- se ha Añadido la proguard-android.txt archivo que falta.
- cambiado el nombre de la lombok-ast-0.2.2.jar archivo lombok-ast.jar, que debería permitir la ejecución de pelusa de la línea de comandos

Android SDK 23.0
Dependencias:
- Android SDK Platform-tools revisión de 19 o más tarde.
- Si usted está en desarrollo en Eclipse con ADT, tenga en cuenta que esta versión de SDK de Herramientas está diseñado para el uso con ADT 23.0.0 y más tarde. Si usted no tiene ya, actualizar el ADT Plugin para 23.0.0.
- Si está desarrollando fuera de Eclipse, usted debe tener Apache Ant 1.8 o más tarde.

Notas:
- se ha Añadido la de Android Desgaste de herramientas y de imágenes del sistema.

Android SDK 22.6.4
Dependencias:
- Android SDK Platform-tools revisión de 18 años o más tarde.
- Si usted está en desarrollo en Eclipse con ADT, tenga en cuenta que esta versión de SDK de Herramientas está diseñado para el uso con ADT 22.6.3 y más tarde. Si usted no tiene ya, actualizar el ADT Plugin para 22.6.3.
- Si está desarrollando fuera de Eclipse, usted debe tener Apache Ant 1.8 o más tarde.

Notas:
- se ha Corregido un problema con el emulador x86 que provocó que Google Maps se bloquee. (Problema 69385)
- Fijo menor de OpenGL problemas.

Android SDK 22.6.3
Dependencias:
- Android SDK Platform-tools revisión de 18 años o más tarde.
- Si usted está en desarrollo en Eclipse con ADT, tenga en cuenta que esta versión de SDK de Herramientas está diseñado para el uso con ADT 22.6.3 y más tarde. Si usted no tiene ya, actualizar el ADT Plugin para 22.6.3.
- Si está desarrollando fuera de Eclipse, usted debe tener Apache Ant 1.8 o más tarde.

Notas:
- se ha Corregido un problema donde el AVD manager permite la creación de Android Wear dispositivos virtuales con un objetivo de la API de Nivel inferior a 19.
- corrección de la descripción de Android Wear sistema de imágenes en el SDK Manager.

Android SDK 22.6.2
Dependencias:
- Android SDK Platform-tools revisión de 18 años o más tarde.
- Si usted está en desarrollo en Eclipse con ADT, tenga en cuenta que esta versión de SDK de Herramientas está diseñado para el uso con ADT 22.6.2 y más tarde. Si usted no tiene ya, actualizar el ADT Plugin para 22.6.2.
- Si está desarrollando fuera de Eclipse, usted debe tener Apache Ant 1.8 o más tarde.

Notas:
- se ha Corregido un problema donde el SDK Manager tiró un NullPointerException después de la eliminación de un dispositivo virtual que se ha creado con el Android Desgaste de la imagen del sistema. (Problema 67588)
- se ha Corregido un problema con el Nexus 5 Android dispositivos virtuales creados a partir de la línea de comandos donde la tarjeta SD del sistema de archivos fue de sólo lectura.

Android SDK 22.6.1
Dependencias:
- Android SDK Platform-tools revisión de 18 años o más tarde.
- Si usted está en desarrollo en Eclipse con ADT, tenga en cuenta que esta versión de SDK de Herramientas está diseñado para el uso con ADT 22.6.1 y más tarde. Si usted no tiene ya, actualizar el ADT Plugin para 22.6.1.
- Si está desarrollando fuera de Eclipse, usted debe tener Apache Ant 1.8 o más tarde.

Notas:
- se ha Corregido un problema donde el Android Virtual Device Manager no pudo crear nuevos dispositivos virtuales. (Problema 66661)
- se ha Corregido un problema con los dispositivos virtuales creados con el uso de ADT 22.3 o anterior.
- Si ha creado un Dispositivo Virtual Android con el uso de ADT 22.3 o anterior, en la AVD puede aparecer como roto en el AVD Manager en 22.6.1. Para solucionar este problema, seleccione el dispositivo virtual en el AVD Manager y haga clic en Reparar.
- se ha Corregido un problema con las herramientas de línea de comandos a la hora de crear dispositivos virtuales. (Problema 66740)
- se ha Corregido un problema con la línea de comandos de pelusas de la secuencia de comandos.

Android SDK 22.6
Dependencias:
- Android SDK Platform-tools revisión de 18 años o más tarde.
- Si usted está en desarrollo en Eclipse con ADT, tenga en cuenta que esta versión de SDK de Herramientas está diseñado para el uso con ADT 22.6.0 y más tarde. Si usted no tiene ya, actualizar el ADT Plugin para 22.6.0.
- Si está desarrollando fuera de Eclipse, usted debe tener Apache Ant 1.8 o más tarde.

Notas:
- La línea de comandos de pelusas de la secuencia de comandos (toolslint.bate en las plataformas Windows, herramientas/pelusa en otras plataformas) y la pelusa de destino en la hormiga construye el siguiente error
- Excepción en el thread "main" java.lang.NoClassDefFoundError: lombok/ast/AstVisitor
- Como una solución temporal, cambie el nombre del archivo toolsliblombok-ast-0.2.2.jar a toolsliblombok-ast.jar. Vamos a lanzar una versión actualizada de las herramientas con una solución para este problema tan pronto como sea posible.
- Añadido soporte para Java 7 características del lenguaje como multi-captura, intenta-con-recursos, y el diamante del operador. Estas características requieren la versión de 19 o más de las Herramientas de Compilación. Try-con-recursos requiere minSdkVersion 19; el resto de las nuevas características del lenguaje requieren minSdkVersion 8 o superior.
- se ha Añadido nueva pelusa comprueba

Seguridad:
- Busque el código potencialmente afectados por un SecureRandom vulnerabilidad.
- Comprobar que las llamadas a checkPermission utilizar el valor de retorno.
- Comprobar que la producción se basa no utilice burlarse de la ubicación de los proveedores.
- Busque manifiesto los valores que se sobrescriben con los valores de Gradle generar secuencias de comandos.
- se ha Corregido un número de cuestiones de menor importancia en el SDK y el sistema de construcción.

Emulador
- se ha Corregido un problema con el emulador cerrando inmediatamente para Android 1.5 en el Nexus One y Nexus S dispositivos. (Problema 64945)
- se ha Corregido un problema con el puerto de números de más de cuatro dígitos. (Problema 60024)
- batería Fija los errores para el Nexus One y Nexus S dispositivos. (Problema 39959)
- se ha Corregido un problema con las rutas de acceso o de los argumentos que contienen espacios en plataformas Windows. (Problema 18317)
- se ha Corregido un problema con el largo camino de los valores en las plataformas Windows. (Problema 33336)
- se ha Corregido un problema con la instantánea de la lista opción de línea de comandos en sistemas de 64 bits. (Problema 34233)
- se ha Corregido un problema con RenderScript de apoyo. El uso de RenderScript de apoyo de modo que ahora se requiere la versión 19.0.3 de las Herramientas de Compilación.

Android SDK 22.3
- se Añade soporte para Android 4.4 (a nivel de API 19).
- se ha Corregido un número de errores de menor importancia en el SDK y el sistema de construcción.


Suscríbase a nuestro boletín

Manténgase al día con los últimos lanzamientos de software, noticias, descuentos de software, ofertas y más.

Suscribir